
From: Martin Waitz <tali@admingilde.org>

Update function parameter description in network code

Signed-off-by: Martin Waitz <tali@admingilde.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/8390.c     |    1 +
 25-akpm/include/linux/skbuff.h |    2 ++
 25-akpm/net/core/skbuff.c      |    5 ++++-
 3 files changed, 7 insertions(+), 1 deletion(-)

diff -puN drivers/net/8390.c~docbook-update-function-parameter-description-in-network-code drivers/net/8390.c
--- 25/drivers/net/8390.c~docbook-update-function-parameter-description-in-network-code	Thu Mar  3 16:55:22 2005
+++ 25-akpm/drivers/net/8390.c	Thu Mar  3 16:55:22 2005
@@ -999,6 +999,7 @@ static void ethdev_setup(struct net_devi
 
 /**
  * alloc_ei_netdev - alloc_etherdev counterpart for 8390
+ * @size: extra bytes to allocate
  *
  * Allocate 8390-specific net_device.
  */
diff -puN include/linux/skbuff.h~docbook-update-function-parameter-description-in-network-code include/linux/skbuff.h
--- 25/include/linux/skbuff.h~docbook-update-function-parameter-description-in-network-code	Thu Mar  3 16:55:22 2005
+++ 25-akpm/include/linux/skbuff.h	Thu Mar  3 16:55:22 2005
@@ -187,6 +187,8 @@ struct skb_shared_info {
  *	@nf_bridge: Saved data about a bridged frame - see br_netfilter.c
  *      @private: Data which is private to the HIPPI implementation
  *	@tc_index: Traffic control index
+ *	@tc_verd: traffic control verdict
+ *	@tc_classid: traffic control classid
  */
 
 struct sk_buff {
diff -puN net/core/skbuff.c~docbook-update-function-parameter-description-in-network-code net/core/skbuff.c
--- 25/net/core/skbuff.c~docbook-update-function-parameter-description-in-network-code	Thu Mar  3 16:55:22 2005
+++ 25-akpm/net/core/skbuff.c	Thu Mar  3 16:55:22 2005
@@ -1446,7 +1446,7 @@ static inline void skb_split_no_header(s
 
 			if (pos < len) {
 				/* Split frag.
-				 * We have to variants in this case:
+				 * We have two variants in this case:
 				 * 1. Move all the frag to the second
 				 *    part, if it is possible. F.e.
 				 *    this approach is mandatory for TUX,
@@ -1469,6 +1469,9 @@ static inline void skb_split_no_header(s
 
 /**
  * skb_split - Split fragmented skb to two parts at length len.
+ * @skb: the buffer to split
+ * @skb1: the buffer to receive the second part
+ * @len: new length for skb
  */
 void skb_split(struct sk_buff *skb, struct sk_buff *skb1, const u32 len)
 {
_
